import React, { useEffect, useState, useRef, useMemo, Fragment } from 'react';
import styles from './styles.less';
import { connect } from 'dva';
import { Modal, Button } from 'antd';

function Index(props) {
	const {
		auditPageData: { searchCondition, searchParams },
	} = props;
	console.log('🚀 ~ file:index method:Index line:7 -----', searchParams, searchCondition);

	const formPropertConfig = useMemo(
		() => {
			if (searchParams && searchParams.taskDefKey) {
				const configOption = searchCondition.find((x) => x.key === 'taskDefKey').options;
				if (configOption && configOption.length > 0) {
					const formProperties = configOption.find((x) => x.key === searchParams.taskDefKey)
						.formProperties;
					if (formProperties && formProperties.length) {
						return formProperties.find((g) => g.id === 'ImportReview');
					}
				} else {
					return null;
				}
			}
			return null;
		},
		[searchParams],
	);

	const disabled = useMemo(
		() => {
			if (formPropertConfig && formPropertConfig.id === 'ImportReview') {
				return false;
			}
			return true;
		},
		[searchParams],
	);

	return (
		<Fragment key={'ssddd'}>
			<Button type={'primary'} disabled={disabled}>
				批量导入审批
			</Button>
		</Fragment>
	);
}
export default connect(({ auditPageData }) => {
	return {
		auditPageData: auditPageData,
	};
})(Index);
